package com.kiisoo.ic.wx.utils;

import com.alibaba.fastjson.JSONObject;
import com.kiisoo.ic.common.utils.httpClientUtil.HttpResult;

/**
 * 公共变量
 */
public class UrlUtil {

    /**增加企业微信路径*/
    private static String ADD_WX_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/create";

    /**
     * 获取增加企业微信的url路径
     * @param token
     * @return
     */
    public static String getAddWXUrl(String token){
        return ADD_WX_URL+token;
    }

    /**
     * 从返回实体中，找到对应的参数名称值，与期待的值进行对比
     * @param httpResult 返回实体
     * @param resultParam 返回实体参数名称
     * @param compData 期待值
     * @return
     */
    public static boolean compHttpResult(HttpResult httpResult, String resultParam, int compData){
       //http返回参数
       String resultEntity = httpResult.getMessage();
       int resultData = JSONObject.parseObject(resultEntity).getInteger(resultParam);
       return resultData == compData;
    }
}
